// <![CDATA[
/******************************************
* Snow Effect Script- By Altan d.o.o. (http://www.altan.hr/snow/index.html)
* Visit Dynamic Drive DHTML code library (http://www.dynamicdrive.com/) for full source code
* Last updated Nov 9th, 05' by DD. This notice must stay intact for use
******************************************/
function snow(Snow_Src, Snow_Number, Snow_Hide_Timer, Snow_ID)
{
	// where 11 dictates that the random number will fall between 0-10. To increase the range to, say, 100, simply change 11 to 101 instead.
	this.Snow_ID = 'Snow_Dot_' + ((Snow_ID) ? Snow_ID : Math.floor(Math.random() * 11));
	//Configure below to change URL path to the snow image (snow1.gif or snow2.gif or snow3.gif)
	this.Snow_Src = (Snow_Src) ? Snow_Src : "./images/snow1.gif";
	var Snow_Src_Preload = new Image(); Snow_Src_Preload.src = this.Snow_Src;
	// Configure below to change number of snow to render
	this.Snow_Number = (Snow_Number) ? Snow_Number : 20;
	// Configure whether snow should disappear after x seconds (0=never) 15=seconds:
	this.Snow_Hide_Timer = (Snow_Hide_Timer) ? Snow_Hide_Timer : 0;
	///////////Stop Config//////////////////////////////////
	this.Snow_ie4up = (document.all) ? 1 : 0;
	this.Snow_ns6up = (document.getElementById && !document.all) ? 1 : 0;
	// Default document width & height
	this.Snow_Doc_Width = 800;
	this.Snow_Doc_Height = 600;
	// set coordinate variables
	this.Snow_DX = new Array();
	// set position variables
	this.Snow_XP = new Array();
	this.Snow_YP = new Array();
	// set amplitude variables
	this.Snow_AM = new Array();
	// set step variables
	this.Snow_STX = new Array();
	this.Snow_STY = new Array();

	this.Snow_Timer;

	// IE and NS6 main animation function
	this.SnowIE_NS6 = function()
	{
		// iterate for every dot
		for (var i = 0; i < this.Snow_Number; i++)
		{
			this.Snow_YP[i] += this.Snow_STY[i];
			if (this.Snow_YP[i] > this.Snow_Doc_Height)
			{
				this.Snow_XP[i] = Math.random() * (this.Snow_Doc_Width - this.Snow_AM[i]);
				this.Snow_YP[i] = 0;
				this.Snow_STX[i] = 0.02 + (Math.random() / 10);
				this.Snow_STY[i] = 0.7 + Math.random();
			}
			this.Snow_DX[i] += this.Snow_STX[i];
			document.getElementById(this.Snow_ID + i).style.top = this.Snow_YP[i] + 'px';
			document.getElementById(this.Snow_ID + i).style.left = this.Snow_XP[i] + this.Snow_AM[i]*Math.sin(this.Snow_DX[i]) + 'px';
		}
		var self = this;
		this.Snow_Timer = setTimeout(function() { self.SnowIE_NS6(); }, 10);
	}

	this.GetSnow = function()
	{
		this.GetPageSizes();
		var objBody = document.getElementsByTagName('body').item(0);

		for (var i = 0; i < this.Snow_Number; i++)
		{
			this.Snow_DX[i] = 0;
			this.Snow_XP[i] = Math.random() * this.Snow_Doc_Width;
			this.Snow_YP[i] = Math.random() * this.Snow_Doc_Height;
			this.Snow_AM[i] = Math.random() * 20;
			this.Snow_STX[i] = 0.02 + (Math.random() / 10);
			this.Snow_STY[i] = 0.7 + Math.random();

			var objDiv = document.createElement('div');
				objDiv.setAttribute('id', this.Snow_ID + i);
				objDiv.style.visibility = 'visible';
				objDiv.style.top = '15px';
				objDiv.style.left = '15px';
				objDiv.style.position = 'absolute';
				objDiv.style.zIndex = i;
			var objmage = document.createElement('img');
				objmage.setAttribute('src', this.Snow_Src);

			objBody.appendChild(objDiv);
			objDiv.appendChild(objmage);
		}
	}

	this.GetPageSizes = function()
	{
		var xScroll, yScroll;
		if (window.innerHeight && window.scrollMaxY) { xScroll = document.body.scrollWidth; yScroll = window.innerHeight + window.scrollMaxY; }
		/* all but Explorer Mac */
		else if (document.body.scrollHeight > document.body.offsetHeight) { xScroll = document.body.scrollWidth; yScroll = document.body.scrollHeight; }
		/* Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari */
		else { xScroll = document.body.offsetWidth; yScroll = document.body.offsetHeight; }

		var windowWidth, windowHeight;
		/* all except Explorer */
		if (self.innerHeight) { windowWidth = self.innerWidth; windowHeight = self.innerHeight; }
		/* Explorer 6 Strict Mode */
		else if (document.documentElement && document.documentElement.clientHeight) { windowWidth = document.documentElement.clientWidth; windowHeight = document.documentElement.clientHeight; }
		/* Other Explorers */
		else if (document.body) { windowWidth = document.body.clientWidth; windowHeight = document.body.clientHeight; }

		var pageHeight, pageWidth;
		/* for small pages with total height less then height of the viewport */
		if (yScroll < windowHeight) { pageHeight = windowHeight; } else { pageHeight = yScroll; }
		/* for small pages with total width less then width of the viewport */
		if (xScroll < windowWidth) { pageWidth = windowWidth; } else { pageWidth = xScroll; }

		//	Ovewrite Snow_Doc_Width & Snow_Doc_Height with the actual values
		this.Snow_Doc_Width = pageWidth - 50;
		this.Snow_Doc_Height = pageHeight - 50;
	}

	this.hidesnow = function()
	{
		if (this.Snow_Timer)
		{
			window.clearTimeout(this.Snow_Timer);
		}
		for (var i = 0; i < this.Snow_Number; i++)
		{
			document.getElementById(this.Snow_ID + i).style.visibility = 'hidden';
		}
	}

	this.init = function()
	{
		if (this.Snow_ie4up || this.Snow_ns6up)
		{
			this.GetSnow();
			this.SnowIE_NS6();
			if (this.Snow_Hide_Timer > 0)
			{
				var self = this;
				this.Snow_Timer = setTimeout(function() { self.hidesnow(); }, self.Snow_Hide_Timer*1000);
			}
		}
	}
}

// ]]>